Commit 43b376a7 authored by Christian Stenger's avatar Christian Stenger

Squish: Handle wizard check for Quick Controls 2 Application

This wizard needs a Qt5.7 which we are not providing yet.

Change-Id: I03ba5c86835de40a44530753502f87a46554d6b3
Reviewed-by: default avatarRobert Loehning <robert.loehning@qt.io>
parent 771fa178
......@@ -629,6 +629,8 @@ def __getSupportedPlatforms__(text, templateName, getAsStrings=False):
version = None
if 'only available with Qt 5.6' in text:
result = [Targets.DESKTOP_561_DEFAULT]
elif 'available with Qt 5.7 and later' in text:
result = [] # FIXME we have currently no Qt5.7+ available in predefined settings
elif 'Supported Platforms' in text:
supports = text[text.find('Supported Platforms'):].split(":")[1].strip().split(" ")
result = []
......
......@@ -83,6 +83,11 @@ def main():
if counter < len(qtVersionsForQuick) - 1:
displayedPlatforms = __createProject__(category, template)
continue
elif template == "Qt Quick Controls 2 Application": # needs a Qt5.7
clickButton(waitForObject(":Next_QPushButton")) # ignore this details page for now
verifyKitCheckboxes(kits, displayedPlatforms)
safeClickButton("Cancel")
continue
elif template.startswith("Plain C"):
for counter, buildSystem in enumerate(availableBuildSystems):
combo = "{name='BuildSystem' type='Utils::TextFieldComboBox' visible='1'}"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment